## zephyr 0.1.0

=== DESCRIPTION ===
Package: zephyr
Title: Structured Messages and Options
Version: 0.1.0
Authors@R: c(
    person("Aksel", "Thomsen", , "oath@novonordisk.com", role = c("aut", "cre")),
    person("Mathias Lerbech", "Jeppesen", , "nmlj@novonordisk.com", role = "aut"),
    person("Cervan", "Girard", , "cgid@novonordisk.com", role = "aut"),
    person("Kristian", "Troejelsgaard", , "ktqn@novonordisk.com", role = "aut"),
    person("Lovemore", "Gakava", , "lvgk@novonordisk.com", role = "aut"),
    person("Steffen Falgreen", "Larsen", , "sffl@novonordisk.com", role = "aut"),
    person("Vladimir", "Obucina", , "vlob@novonordisk.com", role = "aut"),
    person("Novo Nordisk A/S", role = "cph")
  )
Description: Provides a structured framework for consistent user
    communication and configuration management for package developers.
License: Apache License (>= 2)
URL: https://novonordisk-opensource.github.io/zephyr/,
        https://github.com/novonordisk-opensource/zephyr
BugReports: https://github.com/novonordisk-opensource/zephyr/issues
Depends: R (>= 4.1)
Imports: cli, glue, rlang (>= 1.0.0)
Suggests: callr, checkmate, devtools, knitr, rmarkdown, testthat (>=
        3.1.5), usethis, withr
Config/testthat/edition: 3
Encoding: UTF-8
RoxygenNote: 7.3.2
NeedsCompilation: no
Packaged: 2025-01-16 13:15:02 UTC; oath
Author: Aksel Thomsen [aut, cre],
  Mathias Lerbech Jeppesen [aut],
  Cervan Girard [aut],
  Kristian Troejelsgaard [aut],
  Lovemore Gakava [aut],
  Steffen Falgreen Larsen [aut],
  Vladimir Obucina [aut],
  Novo Nordisk A/S [cph]
Maintainer: Aksel Thomsen <oath@novonordisk.com>
Repository: CRAN
Date/Publication: 2025-01-17 09:10:02 UTC
