## zephyr 3.0

=== debian/changelog ===
zephyr (3.0-1) unstable; urgency=low

  * Final upstream 3.0 release.
  * Depend on libreadline-dev.  Closes: #553890
  * Fix problem removing obsolete conffile.  Closes: #548360
  * 3.0 (quilt) source format.
  * Add lintian overrides for the soname/packagname mismatch warnings.
  * Bump Standards-Version.

 -- Karl Ramm <kcr@debian.org>  Sun, 29 Nov 2009 12:41:37 -0500

zephyr (3.0~rc.2544-1) unstable; urgency=low

  * New upstream.
  * Supplementary readme cleanup.
  * Drop *-krb packages for real. Closes: #535099
  * GC obsolete conffiles; Closes: #538028
  * Up Standards-Version.
  
 -- Karl Ramm <kcr@debian.org>  Wed, 02 Sep 2009 14:41:48 -0400

zephyr (3.0~beta.2483-2) unstable; urgency=low

  * check for the extant ares_getnameinfo rather than the nonexistant
    ares_getaddrinfo so that we build with c-ares
  * Add the Finnish and Basque translations from #454608 and #456823
    respectively (thanks to Esko Arajärvi, Piarres Beobide)
    which somehow did not make it into 2.1.20070719.SNAPSHOT-1.1.
    Closes: #533564
  * Zephyr 3.0 does away with xzwrite, closes: #338519

 -- Karl Ramm <kcr@debian.org>  Sat, 20 Jun 2009 23:36:08 -0400

zephyr (3.0~beta.2483-1) unstable; urgency=low

  * Does not build with krb4 by default, Closes: #527339
  * fix some whitespace issues in the config scripts
  * the kerberos shared libraries should satisfy libzephyr-dev,
    Closes: #522694
  * Italian debconf translation from Luca Monducci, Closes: #531426
  * new upstream version

 -- Karl Ramm <kcr@debian.org>  Tue, 16 Jun 2009 20:34:26 -0400

zephyr (3.0~beta.2362-1) experimental; urgency=low

  * new upstream version

 -- Karl Ramm <kcr@debian.org>  Sat, 28 Mar 2009 17:52:06 -0400

zephyr (3.0~alpha.20090316-1) unstable; urgency=low

  * Kerberos 5 client support; new upstream
  * GNU config automated update: config.sub     (20070118 to 20080116),
    config.guess     (20070306 to 20080123)
  * Upstream merged CMU zwgcplus;  Closes: #207362
  * Upstream now uses c-ares: Closes: #477047
  * Fix braino in init script.  Closes: #448459
  
 -- Karl Ramm <kcr@debian.org>  Mon, 16 Mar 2009 19:57:49 -0400

zephyr (2.1.20070719.SNAPSHOT-2) unstable; urgency=low

  * Z_SendLocation could be fooled by the USER_LOGIN message (which has
    the same UID as the SERVACK we're really waiting for) arriving first.
    Wait for the SERVACK explicitly, so the USER_LOGIN gets left on the
    queue even if it arrives early. (thanks, Mark!)
  * Acknowledge NMUs
  * Build-depend on x11proto-core-dev.  Closes: #515456
  * Japanese debconf translation, thanks to Hideki Yamane.  Closes: #510734

 -- Karl Ramm <kcr@debian.org>  Sun, 01 Mar 2009 02:52:20 -0500

zephyr (2.1.20070719.SNAPSHOT-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Swedish. Closes: #491531
  * Brazilian Portuguese. Closes: #501262

 -- Christian Perrier <bubulle@debian.org>  Mon, 06 Oct 2008 07:16:54 +0200

zephyr (2.1.20070719.SNAPSHOT-1.1) unstable; urgency=low

  * Non-maintainer upload to fix pending l10n issues
  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project. Closes: #453291
  * [Debconf translation updates]
    - Galician. Closes: #454511, #447936
    - Finnish. Closes: #454608
    - Czech. Closes: #455240
    - Spanish. Closes: #455576
    - Italian. Closes: #456225
    - Basque. Closes: #456823
    - German. Closes: #456981
    - Dutch. Closes: #457034, #447724
    - Russian. Closes: #457087, #451807
    - Portuguese. Closes: #457111
    - Vietnamese. Closes: #457301
    - French. Closes: #457560, #435494, #435495

 -- Christian Perrier <bubulle@debian.org>  Wed, 20 Feb 2008 20:11:27 +0100

zephyr (2.1.20070719.SNAPSHOT-1) unstable; urgency=low

  * new upstream, Closes: #433603
  * byteswap port number for display in zwgc, Closes: #243101
  * stick newline after errant error message, Closes: #242839
  * wait for zhm to die when restarting. Closes: #41419

 -- Karl Ramm <kcr@debian.org>  Fri, 20 Jul 2007 13:23:48 -0400

zephyr (2.1.20010518.SNAPSHOT-18) unstable; urgency=low

  * fix braino in postinst.  Closes: #433953
  * Don't mark internal use messages as translatable.  Closes: #413237
  * Galician translation.  Closes: #412802
  * Dutch translation.  Closes: #413876  
  * Portugese translation.  Closes: #414817
  * Updates Spanish translatoin.  Closes: #420839
  
  * Package supports using hesiod to find zephyr servers.  Closes: #174535
  * Package does not fail to configure if the daemon won't start.  Closes: #120421
  * zhm shouldn't hang for ever if it can't find a server on startup.  Closes: #433602

  * remove DH_COMPAT setting and update substvars to placate lintian.

 -- Karl Ramm <kcr@debian.org>  Thu, 19 Jul 2007 04:31:53 -0400

zephyr (2.1.20010518.SNAPSHOT-17.1) unstable; urgency=low

  * Non-maintainer upload to fix l10n issues
  * Debconf translation updates:
    - German. Closes: #396775
    - French. Closes: #395978
    - Russian. Closes: #404414

 -- Christian Perrier <bubulle@debian.org>  Sat, 20 Jan 2007 19:47:23 +0100

zephyr (2.1.20010518.SNAPSHOT-17) unstable; urgency=low

  * Fix build-depends for seemlingly oddly picky autobuilders.
  Closes: #393579

 -- Karl Ramm <kcr@debian.org>  Tue, 17 Oct 2006 21:09:06 -0400

zephyr (2.1.20010518.SNAPSHOT-16) unstable; urgency=low

  * Tweak zhm and postinst scripts to not flush subs on restart.
  (it will happen one last time on upgrade, sorry)
  Closes: #148870
  * Avoid possible doubling of zephyr-server name in configuration.
  Closes: #177477
  * Add Swedish debconf template.  Closes: #343756
  * Update Spanish debconf template.  Closes: #385052
  * Fixup build-depends for new X world.
  * Make debconf templates lintian compliant (short titles instead of
    questions, "for internal use" instead of "You should never see this")
  * LSB init info
  * invoke init.d scripts properly
  * Assert Standards-Version: 3.7.2


