## zephyr 3.0.1

=== debian/changelog ===
zephyr (3.0.1-1) unstable; urgency=low

  * New upstream release.
  * Update Standards-Version.
  * Define MAXPATHLEN in lib/ZLocations.c if it isn't. Closes: #508522

 -- Karl Ramm <kcr@debian.org>  Sun, 06 Mar 2011 12:54:18 -0500
