=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Karl Ramm <kcr@debian.org>
 Uploaders: Sam Hartman <hartmans@debian.org>
-Build-Depends: debhelper (>= 5), libc-ares-dev, libkrb5-dev (>= 1.2.2-4), comerr-dev, ss-dev,
+Build-Depends: debhelper (>= 7), libc-ares-dev, libkrb5-dev (>= 1.2.2-4), comerr-dev, ss-dev,
                libreadline-dev | libreadline5-dev, libx11-dev, libxt-dev, x11proto-core-dev, libncurses5-dev,
 	       bison, libhesiod-dev, autotools-dev
-Standards-Version: 3.8.3
+Standards-Version: 3.9.1.0
 Vcs-Svn: svn://svn.1ts.org/debian/branches/zephyr-reloaded/zephyr
 
 Package: libzephyr4
