## zephyr 3.0.2

=== debian/changelog ===
zephyr (3.0.2-2) unstable; urgency=low

  * Oops, you need to have automake installed if you want to use
    autoreconf.  Do so.  Closes: #658192

 -- Karl Ramm <kcr@debian.org>  Tue, 31 Jan 2012 23:09:50 -0500

zephyr (3.0.2-1) unstable; urgency=low

  * New upstream release.
  * Actually insulate the postinst from the rc script failing.
    Closes: #638260
  * Install a Danish debconf tranlation, thanks to Joe Dalton.
    Closes: #621365
  * Update Standards-Version.

 -- Karl Ramm <kcr@debian.org>  Mon, 30 Jan 2012 11:18:54 -0500
