## zephyr 3.1.2

=== debian/changelog ===
zephyr (3.1.2-4) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille ]
  * Maintain zephyr in Debian team on Salsa
  * Add Homepage
  * Add watch file
  * d/rules: neither a sample nor hypothetical
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * Do not parse d/changelog (routine-update)
  * Trim trailing whitespace.
  * Rely on pre-initialized dpkg-architecture variables.
  * Fix some gcc-15 build issues
    Closes: #1098197
  * Build-Depends: libncurses5-dev => libncurses-dev
  * Remove invalid alternatives in Depends of libzephyr-dev
  * d/copyright: DEP5 + review
  * Add Pre-Depends: ${misc:Pre-Depends} for server packages
  * Seems the article is part of the name so add lintian-overrides
    for description-synopsis-starts-with-article
  * Lintian-overrides for national-encoding in po files
  * Export hardening options
  * Add systemd service files
    Closes: #1030080, #1039433
  * Do not conflict with packages that were not even in o-o-stable
  * Make sure zephyr-server-krb5 will depend libzephyr4-krb5 (and not
    libzephyr4)
  * Hardening

  [ Reiner Herrmann ]
  * Enable reproducible building by removing irrelevant data from version string

  [ Mert Dirik ]
  * Turkish debconf template translation
    Closes: #759885

  [ Atila KOÇ ]
  * Update Turkish debconf template translation
    Closes: #1029195

  [ Pablo Huguet ]
  * Catalan debconf template translation
    Closes: #1049994

  [ Remus-Gabriel Chelu ]
  * Romanian debconf template translation
    Closes: #1101738

 -- Andreas Tille <tille@debian.org>  Mon, 29 Sep 2025 10:09:38 +0200

zephyr (3.1.2-3) experimental; urgency=medium

  * maintainer must include a name as well as email, Closes: #995677

 -- Sam Hartman <hartmans@debian.org>  Wed, 06 Oct 2021 08:53:19 -0600

zephyr (3.1.2-2) experimental; urgency=medium

  * Upload only to set new maintainer and get Zephyr off MIA's plate
  * I'm still trying to find VCS for the Debian packaging before making any real changes

 -- Sam Hartman <hartmans@debian.org>  Sat, 02 Oct 2021 20:15:00 -0600

zephyr (3.1.2-1) unstable; urgency=low

  * New upstream version.

 -- Karl Ramm <kcr@debian.org>  Mon, 28 Oct 2013 10:57:21 -0400
