=== debian/control ===
Source: zephyr
Standards-Version: 4.7.2
Maintainer: Zephyr IM Team <team+zephyr-im@tracker.debian.org>
Uploaders:
 Sam Hartman <hartmans@debian.org>,
 Alex Chernyakhovsky <achernya@debian.org>,
Section: net
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 libc-ares-dev,
 libkrb5-dev,
 comerr-dev,
 ss-dev,
 libreadline-dev | libreadline5-dev,
 libx11-dev,
 libxt-dev,
 x11proto-core-dev,
 libncurses-dev,
 bison,
 libhesiod-dev,
 lsb-release,
Vcs-Browser: https://salsa.debian.org/debian/zephyr
Vcs-Git: https://salsa.debian.org/debian/zephyr.git
Homepage: https://github.com/zephyr-im/zephyr

Package: libzephyr4
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Conflicts:
 libzephyr4-krb5,
Description: Project Athena's notification service - non-Kerberos libraries
 Zephyr is derived from the original Project Athena 'Instant Message' system
 and allows users to send messages to other users or to groups of users.
 Users can view incoming Zephyr messages as windowgrams (transient X
 windows) or as text on a terminal.
 .
 This package provides the libraries without Kerberos support.

Package: libzephyr4-krb5
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 krb5-config,
Pre-Depends:
 ${misc:Pre-Depends},
Conflicts:
 libzephyr4,
Provides:
 libzephyr4 (= ${binary:Version}),
Replaces:
 libzephyr4,
Description: The original "Instant Message" system libraries with Kerberos V
 This version of the library uses Kerberos V for message authentication.
 .
 This is the Project Athena Zephyr notification system.
 Zephyr allows users to send messages to other users or to groups of
 users.  Users can view incoming Zephyr messages as windowgrams
 (transient X windows) or as text on a terminal.

Package: zephyr-clients
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 debconf | debconf-2.0,
Replaces:
 zephyr-client,
Description: Project Athena's notification service - client programs
 Zephyr is derived from the original Project Athena 'Instant Message' system
 and allows users to send messages to other users or to groups of users.
 Users can view incoming Zephyr messages as windowgrams (transient X
 windows) or as text on a terminal.
 .
 This package provides client programs for the messaging service.

Package: zephyr-server
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 debconf | debconf-2.0,
Pre-Depends:
 ${misc:Pre-Depends},
Conflicts:
 zephyr-server-krb5,
Description: Project Athena's notification service - non-Kerberos server
 Zephyr is derived from the original Project Athena 'Instant Message' system
 and allows users to send messages to other users or to groups of users.
 Users can view incoming Zephyr messages as windowgrams (transient X
 windows) or as text on a terminal.
 .
 This package provides the server for the messaging service, which
 maintains a location and subscription database for all the receiving
 clients. All zephyrgrams are sent to the server to be routed to the
 intended recipient. Only one server is required for a group of clients.

Package: zephyr-server-krb5
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 debconf | debconf-2.0,
# libzephyr4-krb5, # that's sneaked in in d/rules after dh_gencontrol
Pre-Depends:
 ${misc:Pre-Depends},
Conflicts:
 zephyr-server,
Provides:
 zephyr-server,
Replaces:
 zephyr-server,
Description: The original "Instant Message" system-server with Kerberos 5
 You probably only need one server for a group of clients.
 This can be a memory-intensive server, especially for very large sites.
 .
 The server maintains a location and subscription database for all the
 receiving clients. All zephyrgrams are sent to the server to be routed
 to the intended recipient.
 .
 This version of the server uses Kerberos V for message authentication.
 .
 This is the Project Athena Zephyr notification system.
 Zephyr allows users to send messages to other users or to groups of
 users.  Users can view incoming Zephyr messages as windowgrams
 (transient X windows) or as text on a terminal.

Package: libzephyr-dev
Architecture: any
Section: libdevel
Depends:
 libzephyr4 (= ${binary:Version}) | libzephyr4-krb5 (= ${binary:Version}),
 ${misc:Depends},
 libc6-dev,
Description: Project Athena's notification service - development files
 Zephyr is derived from the original Project Athena 'Instant Message' system
 and allows users to send messages to other users or to groups of users.
 Users can view incoming Zephyr messages as windowgrams (transient X
 windows) or as text on a terminal.
 .
 This package provides development libraries and files, which are
 needed to compile alternative Zephyr clients.
