=== debian/rules ===
--- 
+++ 
@@ -1,30 +1,30 @@
 #!/usr/bin/make -f
-# Sample debian/rules that uses debhelper. 
-# GNU copyright 1997 by Joey Hess.
-#
-# This version is for a hypothetical package that builds an
-# architecture-dependant package, as well as an architecture-independent
-# package.
 
-# Uncomment this to turn on verbose mode. 
+# Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 VARIETALS=krb5
-#VARIETALS=krb45 krb5
 CFLAGS=-g -O
 
 PACKAGES:=-plibzephyr4 -pzephyr-clients -pzephyr-server -plibzephyr-dev $(foreach i,$(VARIETALS),-plibzephyr4-$(i) -pzephyr-server-$(i))
+
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 # This has to be exported to make some magic below work.
 export DH_OPTIONS
 CONFIGURE_ROOT=--prefix=/usr --mandir=\$${prefix}/share/man \
 	--infodir=\$${prefix}/share/info --sysconfdir=/etc --datadir=/etc \
-	--with-cares=/usr --with-hesiod=/usr --enable-cmu-zwgcplus
+	--with-cares=/usr --with-hesiod=/usr --enable-cmu-zwgcplus \
+	--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
+	CFLAGS="$(CFLAGS)" \
+	CPPFLAGS="$(CPPFLAGS)" \
+	LDFLAGS="$(LDFLAGS)"
 CONFIGURE_krb5=--with-krb5=/usr
-CONFIGURE_krb45=--with-krb4=/usr --with-krb5=/usr
 
 # see /usr/share/doc/autotools-dev/README.Debian.gz
 export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+
+include /usr/share/dpkg/architecture.mk
 
 # FOR AUTOCONF 2.52 AND NEWER ONLY
 ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
@@ -34,7 +34,7 @@
 endif
 
 BUILD_VARIETALS=$(VARIETALS) no-krb
-PKG_VERSION:=$(shell dpkg-parsechangelog | awk '/^Version:/ {print $$2}')
+include /usr/share/dpkg/default.mk
 PKG_DISTRO:=$(shell lsb_release -si)
 
 STASH:=debian/autogoo-stash
@@ -43,7 +43,7 @@
 stash: stash-stamp
 stash-stamp:
 	-mkdir $(STASH)
-	mv -v m4 autom4te.cache aclocal.m4 config.guess config.sub configure install-sh ltmain.sh VERSION $(STASH)
+	mv -v m4 aclocal.m4 config.guess config.sub configure install-sh ltmain.sh VERSION $(STASH)
 	-mkdir $(STASH_H)
 	mv -v h/config.h.in $(STASH_H)
 	touch stash-stamp
@@ -54,7 +54,7 @@
 	# Add here commands to configure the package.
 	libtoolize -ic
 	autoreconf
-	echo "$(PKG_VERSION) ($(PKG_DISTRO))" > VERSION
+	echo "$(DEB_VERSION) ($(PKG_DISTRO))" > VERSION
 	mkdir -p $(BUILD_VARIETALS)
 	$(foreach VARIETY,$(BUILD_VARIETALS),(cd $(VARIETY) && CFLAGS="$(CFLAGS)" ../configure $(CONFIGURE_$(VARIETY)) $(CONFIGURE_ROOT));)
 	touch configure-stamp
@@ -85,7 +85,7 @@
 	-if test -n "$(filter-out krb5,$(VARIETALS))"; then \
 	 rm $(foreach v,$(filter-out krb5,$(VARIETALS)),$(foreach s,docs init postrm,debian/zephyr-server-$(v).$(s))); \
 	fi
-	-rm debian/libzephyr4-krb5.files debian/libzephyr4-krb45.files
+	-rm debian/libzephyr4-krb5.files
 	-rm stash-stamp
 	-test -d $(STASH)/autom4te.cache && rm -rf autom4te.cache
 	-test -d $(STASH)/m4 && rm -rf m4
@@ -94,7 +94,7 @@
 	-test -d $(STASH_H) && mv $(STASH_H)/* h
 	-rmdir $(STASH_H)
 
-	dh_clean -v -Xautom4te.cache
+	dh_clean -v
 
 install: DH_OPTIONS=
 install: build
@@ -144,22 +144,26 @@
 	for dir in $(VARIETALS); do \
 		dh_movefiles --sourcedir=debian/tmp-$$dir -plibzephyr4-$$dir -pzephyr-server-$$dir; \
 	done
-	dh_installdebconf 
+	dh_installdebconf
 	dh_installdocs
+	dh_install
 	dh_installinit -pzephyr-clients --init-script=zhm --no-start
 	dh_installinit -pzephyr-server --init-script=zephyrd
+	dh_lintian
 	for variety in $(VARIETALS); do \
 		dh_installinit -pzephyr-server-$$variety --init-script=zephyrd; \
 		mkdir -p debian/libzephyr4-$$variety/usr/share/lintian/overrides; \
 		sed -e "s/@VARIETY@/$$variety/" debian/soname-override \
-		> debian/libzephyr4-$$variety/usr/share/lintian/overrides/libzephyr4-$$variety; \
+		>> debian/libzephyr4-$$variety/usr/share/lintian/overrides/libzephyr4-$$variety; \
 	done
-	dh_installchangelogs 
+	dh_installchangelogs
 	for dir in zephyr-clients libzephyr-dev \
 		libzephyr4 $(foreach i,$(VARIETALS),libzephyr4-$i) \
 		zephyr-server $(foreach i,$(VARIETALS),zepyr-server-$i); do \
 		find debian/$$i -type d -empty -delete; \
 	done
+	# dh_installsystemd needs tweaking to mach init script names (installation is done by dh_install, following line just fixes the name
+	mv debian/zephyr-server-krb5/usr/lib/systemd/system/zephyrd-krb5.service debian/zephyr-server-krb5/usr/lib/systemd/system/zephyrd.service
 	dh_strip
 	dh_compress
 	dh_fixperms
@@ -171,10 +175,12 @@
 	dh_shlibdeps $(PACKAGES)
 	dh_installdeb $(PACKAGES)
 	dh_gencontrol $(PACKAGES)
+	# Fix up zephyr-server-krb5 control file since otherwise libzephyr4 *and* libzephyr4-krb5 will be included
+	sed -i 's/libzephyr4 (\([^)]*\))/libzephyr4-krb5 (\1)/' debian/zephyr-server-krb5/DEBIAN/control
 	dh_md5sums $(PACKAGES)
 	dh_builddeb $(PACKAGES)
 	for dir in $(VARIETALS); do \
-		dh_builddeb --sourcedir=debian/tmp-$$dir -plibzephyr4-$$dir -pzephyr-server-$$dir; \
+		dh_builddeb -plibzephyr4-$$dir -pzephyr-server-$$dir; \
 	done
